Remove labels from release
DELETE/api/v1/workspaces/{workspace_slug}/releases/{release_id}/labels/
Removes one or more labels from a release.
Path Parameters
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
release_id:requiredstringThe unique identifier for the release.
Body Parameters
label_ids:requiredstring[]Array of release label IDs to remove from the release.
Scopes
releases:write
Remove labels from release
bash
curl -X DELETE \
"https://api.plane.so/api/v1/workspaces/my-workspace/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890/labels/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"label_ids": ["f6a7b8c9-d0e1-2345-fabc-678901234567"]
}'python
import requests
response = requests.delete(
"https://api.plane.so/api/v1/workspaces/my-workspace/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890/labels/",
headers={"X-API-Key": "your-api-key"},
json={
'label_ids': ['f6a7b8c9-d0e1-2345-fabc-678901234567']
}
)
print(response.status_code)javascript
const response = await fetch(
"https://api.plane.so/api/v1/workspaces/my-workspace/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890/labels/",
{
method: "DELETE",
headers: {
"X-API-Key": "your-api-key",
"Content-Type": "application/json",
},
body: JSON.stringify({
label_ids: ["f6a7b8c9-d0e1-2345-fabc-678901234567"],
}),
},
);Response204
json
// 204 No Content
